package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TdPropertyManagerMapper;
import com.ruoyi.system.domain.TdPropertyManager;
import com.ruoyi.system.service.ITdPropertyManagerService;
import com.ruoyi.common.core.text.Convert;

/**
 * 资产登记Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-04-26
 */
@Service
public class TdPropertyManagerServiceImpl implements ITdPropertyManagerService 
{
    @Autowired
    private TdPropertyManagerMapper tdPropertyManagerMapper;

    /**
     * 查询资产登记
     * 
     * @param useId 资产登记主键
     * @return 资产登记
     */
    @Override
    public TdPropertyManager selectTdPropertyManagerByUseId(String useId)
    {
        return tdPropertyManagerMapper.selectTdPropertyManagerByUseId(useId);
    }

    /**
     * 查询资产登记列表
     * 
     * @param tdPropertyManager 资产登记
     * @return 资产登记
     */
    @Override
    public List<TdPropertyManager> selectTdPropertyManagerList(TdPropertyManager tdPropertyManager)
    {
        return tdPropertyManagerMapper.selectTdPropertyManagerList(tdPropertyManager);
    }

    /**
     * 新增资产登记
     * 
     * @param tdPropertyManager 资产登记
     * @return 结果
     */
    @Override
    public int insertTdPropertyManager(TdPropertyManager tdPropertyManager)
    {
        return tdPropertyManagerMapper.insertTdPropertyManager(tdPropertyManager);
    }

    /**
     * 修改资产登记
     * 
     * @param tdPropertyManager 资产登记
     * @return 结果
     */
    @Override
    public int updateTdPropertyManager(TdPropertyManager tdPropertyManager)
    {
        return tdPropertyManagerMapper.updateTdPropertyManager(tdPropertyManager);
    }

    /**
     * 批量删除资产登记
     * 
     * @param useIds 需要删除的资产登记主键
     * @return 结果
     */
    @Override
    public int deleteTdPropertyManagerByUseIds(String useIds)
    {
        return tdPropertyManagerMapper.deleteTdPropertyManagerByUseIds(Convert.toStrArray(useIds));
    }

    /**
     * 删除资产登记信息
     * 
     * @param useId 资产登记主键
     * @return 结果
     */
    @Override
    public int deleteTdPropertyManagerByUseId(String useId)
    {
        return tdPropertyManagerMapper.deleteTdPropertyManagerByUseId(useId);
    }
}
